HilbertIndependenceConsumer::RightConsumer Class Reference
Inheritance diagram for HilbertIndependenceConsumer::RightConsumer:

## Public Member Functions

| RightConsumer (HilbertIndependenceConsumer *parent)
virtual void | consumeRing (const VarNames &names)
virtual void | beginConsuming ()
virtual void | consume (const mpz_class &coef, const Term &term)
virtual void | doneConsuming ()
Public Member Functions inherited from CoefTermConsumer
virtual | ~CoefTermConsumer ()
virtual void | consume (const Polynomial &poly)

## Private Attributes

HilbertIndependenceConsumer * | _parent

## Detailed Description

Definition at line 58 of file HilbertIndependenceConsumer.h.

## Constructor & Destructor Documentation

## RightConsumer()

HilbertIndependenceConsumer::RightConsumer::RightConsumer | ( | HilbertIndependenceConsumer * | parent | ) |

Definition at line 96 of file HilbertIndependenceConsumer.cpp.

## Member Function Documentation

## beginConsuming()

void HilbertIndependenceConsumer::RightConsumer::beginConsuming | ( |  | ) |

virtual

Implements CoefTermConsumer.

Definition at line 105 of file HilbertIndependenceConsumer.cpp.

## consume()

void HilbertIndependenceConsumer::RightConsumer::consume | ( | const mpz_class & | coef,
|  | const Term & | term )

virtual

Implements CoefTermConsumer.

Definition at line 108 of file HilbertIndependenceConsumer.cpp.

## consumeRing()

void HilbertIndependenceConsumer::RightConsumer::consumeRing | ( | const VarNames & | names | ) |

virtual

Implements CoefTermConsumer.

Definition at line 101 of file HilbertIndependenceConsumer.cpp.

## doneConsuming()

void HilbertIndependenceConsumer::RightConsumer::doneConsuming | ( |  | ) |

virtual

Implements CoefTermConsumer.

Definition at line 113 of file HilbertIndependenceConsumer.cpp.

## Member Data Documentation

## _parent

HilbertIndependenceConsumer* HilbertIndependenceConsumer::RightConsumer::_parent

private

Definition at line 68 of file HilbertIndependenceConsumer.h.

The documentation for this class was generated from the following files:

- src/HilbertIndependenceConsumer.h
- src/HilbertIndependenceConsumer.cpp